const HtmlWebpackPlugin = require("html-webpack-plugin");

module.exports = {
    mode: "development",
    entry: {
        "index": "./src/index.ts",
    },
    devtool: "inline-source-map",
    plugins: [
        new HtmlWebpackPlugin(),
    ],
    module: {
        rules: [
            {
                test: /\.(ts|js)$/,
                use: "ts-loader",
                exclude: /node_modules/,
            },
            {
                test: /\.(vert|frag)$/,
                use: "raw-loader",
                exclude: /node_modules/,
            },
        ],
    },
    resolve: {
        modules: [
            "node_modules",
        ],
        extensions: [
            ".ts", ".js", ".vert", ".frag",
        ],
    },
    watchOptions: {
        ignored: /node_modules/,
    }
}
